GlusterfsShareDriver: m-shr continuously crashes upon setting up ganesha with volume based layout

Bug #1497212 reported by karthick on 2015-09-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Shared File Systems Service (Manila)
Low
Csaba Henk

Bug Description

While setting up manila.conf for NFS-ganesha(volume based layout) with gluster as backend m-shr service continuously crashes. Error seen - no such option in group glusterganesh2: glusterfs_path_to_private_key

This issue is however not seen with directory based layout for ganesha.

Log snippet:

2015-09-18 11:08:16.254 ERROR oslo_service.threadgroup [req-c6ffcca2-011d-4557-8273-e3f8291e584d None None] no such option in group glusterganesh2: glusterfs_path_to_private_key
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup Traceback (most recent call last):
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/oslo_service/threadgroup.py", line 154, in wait
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup x.wait()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/oslo_service/threadgroup.py", line 51, in wait
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup return self.thread.wait()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/eventlet/greenthread.py", line 175, in wait
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup return self._exit_event.wait()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/eventlet/event.py", line 121, in wait
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup return hubs.get_hub().switch()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/eventlet/hubs/hub.py", line 294, in switch
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup return self.greenlet.switch()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/eventlet/greenthread.py", line 214, in main
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup result = function(*args, **kwargs)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/oslo_service/service.py", line 645, in run_service
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup service.start()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/opt/stack/manila/manila/service.py", line 120, in start
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup self.manager.init_host()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/opt/stack/manila/manila/share/manager.py", line 108, in wrapped
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup return f(self, *args, **kwargs)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/opt/stack/manila/manila/share/manager.py", line 208, in init_host
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup self.driver.do_setup(ctxt)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/opt/stack/manila/manila/share/drivers/glusterfs/__init__.py", line 91, in do_setup
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup self._get_helper()
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/opt/stack/manila/manila/share/drivers/glusterfs/__init__.py", line 126, in _get_helper
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup gluster_manager=gluster_mgr)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/opt/stack/manila/manila/share/drivers/glusterfs/__init__.py", line 252, in __init__
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup privatekey=config_object.glusterfs_path_to_private_key)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/opt/stack/manila/manila/share/configuration.py", line 83, in __getattr__
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup return getattr(self.local_conf, value)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2559, in __getattr__
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup return self._conf._get(name, self._group)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2276, in _get
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup value = self._do_get(name, group, namespace)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2294, in _do_get
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup info = self._get_opt_info(name, group)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2427, in _get_opt_info
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup raise NoSuchOptError(opt_name, group)
2015-09-18 11:08:16.254 TRACE oslo_service.threadgroup NoSuchOptError: no such option in group glusterganesh2: glusterfs_path_to_private_key

Fix proposed to branch: master
Review: https://review.openstack.org/225161

Changed in manila:
assignee: nobody → Csaba Henk (chenk)
status: New → In Progress
Changed in manila:
milestone: none → mitaka-1
Changed in manila:
milestone: mitaka-1 → liberty-rc1
importance: Undecided → Low

Reviewed: https://review.openstack.org/225161
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=42f6a55c0a81cdc2b35bc48b452143e9a7a8bd20
Submitter: Jenkins
Branch: master

commit 42f6a55c0a81cdc2b35bc48b452143e9a7a8bd20
Author: Csaba Henk <email address hidden>
Date: Fri Sep 18 15:56:58 2015 +0200

    glusterfs*: fix ssh credential options

    glusterfs and glusterfs_native had a distinct
    set of options to specify ssh credentials
    (glusterfs_server_password vs glusterfs_native_server_password
    and glusterfs_path_to_private_key vs glusterfs_native_path_to_private_key).

    There is no reason to keep these separate; but worsening the situations
    these options have been moved to layouts in an ad-hoc manner,
    breaking certain driver/layout combos whereby the credential
    option used by the driver is not provided by the chosen layout
    and thus it was undefined.

    Fix all the mess by defining glusterfs_server_password and
    glusterfs_path_to_private_key in glusterfs.common, and
    providing the native variants as deprecated aliases.

    Change-Id: I48f8673858d2bff95e66bb7e72911e87030fdc0e
    Closes-Bug: #1497212

Changed in manila:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-09-22
Changed in manila:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-10-15
Changed in manila:
milestone: liberty-rc1 → 1.0.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers